#DLL_lua = 0

Procedure.b Open_lua_DLL()
  If OpenLibrary(#DLL_lua, "lua.dll")
    ProcedureReturn #True
  Else
    ProcedureReturn #False
  EndIf
EndProcedure

Procedure Close_lua_DLL()
  CloseLibrary(#DLL_lua)
EndProcedure

Procedure.l lua_open()
  ProcedureReturn CallCFunction(#DLL_lua, "lua_open")
EndProcedure

Procedure.l lua_close(arg1.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_close", arg1)
EndProcedure

Procedure.l lua_newthread(arg1.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_newthread", arg1)
EndProcedure

Procedure.l lua_atpanic(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_atpanic", arg1, arg2)
EndProcedure

Procedure.l lua_gettop(arg1.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_gettop", arg1)
EndProcedure

Procedure.l lua_settop(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_settop", arg1, arg2)
EndProcedure

Procedure.l lua_pushvalue(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_pushvalue", arg1, arg2)
EndProcedure

Procedure.l lua_remove(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_remove", arg1, arg2)
EndProcedure

Procedure.l lua_insert(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_insert", arg1, arg2)
EndProcedure

Procedure.l lua_replace(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_replace", arg1, arg2)
EndProcedure

Procedure.l lua_checkstack(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_checkstack", arg1, arg2)
EndProcedure

Procedure.l lua_xmove(arg1.l, arg2.l, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_xmove", arg1, arg2, arg3)
EndProcedure

Procedure.l lua_isnumber(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_isnumber", arg1, arg2)
EndProcedure

Procedure.l lua_isstring(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_isstring", arg1, arg2)
EndProcedure

Procedure.l lua_iscfunction(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_iscfunction", arg1, arg2)
EndProcedure

Procedure.l lua_isuserdata(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_isuserdata", arg1, arg2)
EndProcedure

Procedure.l lua_type(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_type", arg1, arg2)
EndProcedure

Procedure.l lua_typename(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_typename", arg1, arg2)
EndProcedure

Procedure.l lua_equal(arg1.l, arg2.l, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_equal", arg1, arg2, arg3)
EndProcedure

Procedure.l lua_rawequal(arg1.l, arg2.l, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_rawequal", arg1, arg2, arg3)
EndProcedure

Procedure.l lua_lessthan(arg1.l, arg2.l, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_lessthan", arg1, arg2, arg3)
EndProcedure

Procedure.f lua_tonumber(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_tonumber", arg1, arg2)
EndProcedure

Procedure.l lua_toboolean(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_toboolean", arg1, arg2)
EndProcedure

Procedure.l lua_tostring(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_tostring", arg1, arg2)
EndProcedure

Procedure.l lua_strlen(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_strlen", arg1, arg2)
EndProcedure

Procedure.l lua_tocfunction(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_tocfunction", arg1, arg2)
EndProcedure

Procedure.l lua_touserdata(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_touserdata", arg1, arg2)
EndProcedure

Procedure.l lua_tothread(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_tothread", arg1, arg2)
EndProcedure

Procedure.l lua_topointer(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_topointer", arg1, arg2)
EndProcedure

Procedure.l lua_pushnil(arg1.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_pushnil", arg1)
EndProcedure

Procedure.l lua_pushnumber(arg1.l, arg2.f)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_pushnumber", arg1, arg2)
EndProcedure

Procedure.l lua_pushlstring(arg1.l, arg2.s, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_pushlstring", arg1, arg2, arg3)
EndProcedure

Procedure.l lua_pushstring(arg1.l, arg2.s)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_pushstring", arg1, arg2)
EndProcedure

Procedure.l lua_pushvfstring(arg1.l, arg2.s, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_pushvfstring", arg1, arg2, arg3)
EndProcedure

Procedure.l lua_pushcclosure(arg1.l, arg2.l, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_pushcclosure", arg1, arg2, arg3)
EndProcedure

Procedure.l lua_pushboolean(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_pushboolean", arg1, arg2)
EndProcedure

Procedure.l lua_pushlightuserdata(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_pushlightuserdata", arg1, arg2)
EndProcedure

Procedure.l lua_gettable(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_gettable", arg1, arg2)
EndProcedure

Procedure.l lua_rawget(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_rawget", arg1, arg2)
EndProcedure

Procedure.l lua_rawgeti(arg1.l, arg2.l, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_rawgeti", arg1, arg2, arg3)
EndProcedure

Procedure.l lua_newtable(arg1.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_newtable", arg1)
EndProcedure

Procedure.l lua_newuserdata(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_newuserdata", arg1, arg2)
EndProcedure

Procedure.l lua_getmetatable(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_getmetatable", arg1, arg2)
EndProcedure

Procedure.l lua_getfenv(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_getfenv", arg1, arg2)
EndProcedure

Procedure.l lua_settable(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_settable", arg1, arg2)
EndProcedure

Procedure.l lua_rawset(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_rawset", arg1, arg2)
EndProcedure

Procedure.l lua_rawseti(arg1.l, arg2.l, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_rawseti", arg1, arg2, arg3)
EndProcedure

Procedure.l lua_setmetatable(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_setmetatable", arg1, arg2)
EndProcedure

Procedure.l lua_setfenv(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_setfenv", arg1, arg2)
EndProcedure

Procedure.l lua_call(arg1.l, arg2.l, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_call", arg1, arg2, arg3)
EndProcedure

Procedure.l lua_pcall(arg1.l, arg2.l, arg3.l, arg4.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_pcall", arg1, arg2, arg3, arg4)
EndProcedure

Procedure.l lua_cpcall(arg1.l, arg2.l, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_cpcall", arg1, arg2, arg3)
EndProcedure

Procedure.l lua_load(arg1.l, arg2.l, arg3.l, arg4.s)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_load", arg1, arg2, arg3, arg4)
EndProcedure

Procedure.l lua_dump(arg1.l, arg2.l, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_dump", arg1, arg2, arg3)
EndProcedure

Procedure.l lua_yield(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_yield", arg1, arg2)
EndProcedure

Procedure.l lua_resume(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_resume", arg1, arg2)
EndProcedure

Procedure.l lua_getgcthreshold(arg1.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_getgcthreshold", arg1)
EndProcedure

Procedure.l lua_getgccount(arg1.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_getgccount", arg1)
EndProcedure

Procedure.l lua_setgcthreshold(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_setgcthreshold", arg1, arg2)
EndProcedure

Procedure.l lua_version()
  ProcedureReturn CallCFunction(#DLL_lua, "lua_version")
EndProcedure

Procedure.l lua_error(arg1.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_error", arg1)
EndProcedure

Procedure.l lua_next(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_next", arg1, arg2)
EndProcedure

Procedure.l lua_concat(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_concat", arg1, arg2)
EndProcedure

Procedure.l lua_getstack(arg1.l, arg2.l, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_getstack", arg1, arg2, arg3)
EndProcedure

Procedure.l lua_getinfo(arg1.l, arg2.s, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_getinfo", arg1, arg2, arg3)
EndProcedure

Procedure.l lua_getlocal(arg1.l, arg2.l, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_getlocal", arg1, arg2, arg3)
EndProcedure

Procedure.l lua_setlocal(arg1.l, arg2.l, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_setlocal", arg1, arg2, arg3)
EndProcedure

Procedure.l lua_getupvalue(arg1.l, arg2.l, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_getupvalue", arg1, arg2, arg3)
EndProcedure

Procedure.l lua_setupvalue(arg1.l, arg2.l, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_setupvalue", arg1, arg2, arg3)
EndProcedure

Procedure.l lua_sethook(arg1.l, arg2.l, arg3.l, arg4.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_sethook", arg1, arg2, arg3, arg4)
EndProcedure

Procedure.l lua_gethook(arg1.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_gethook", arg1)
EndProcedure

Procedure.l lua_gethookmask(arg1.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_gethookmask", arg1)
EndProcedure

Procedure.l lua_gethookcount(arg1.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_gethookcount", arg1)
EndProcedure

Procedure.l lua_pushupvalues(arg1.l)
  ProcedureReturn CallCFunction(#DLL_lua, "lua_pushupvalues", arg1)
EndProcedure

Procedure.l luaopen_base(arg1.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaopen_base", arg1)
EndProcedure

Procedure.l luaopen_table(arg1.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaopen_table", arg1)
EndProcedure

Procedure.l luaopen_io(arg1.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaopen_io", arg1)
EndProcedure

Procedure.l luaopen_string(arg1.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaopen_string", arg1)
EndProcedure

Procedure.l luaopen_math(arg1.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaopen_math", arg1)
EndProcedure

Procedure.l luaopen_debug(arg1.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaopen_debug", arg1)
EndProcedure

Procedure.l luaopen_loadlib(arg1.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaopen_loadlib", arg1)
EndProcedure

Procedure.l luaL_addlstring(arg1.l, arg2.s, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_addlstring", arg1, arg2, arg3)
EndProcedure

Procedure.l luaL_addstring(arg1.l, arg2.s)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_addstring", arg1, arg2)
EndProcedure

Procedure.l luaL_addvalue(arg1.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_addvalue", arg1)
EndProcedure

Procedure.l luaL_argerror(arg1.l, arg2.l, arg3.s)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_argerror", arg1, arg2, arg3)
EndProcedure

Procedure.l luaL_buffinit(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_buffinit", arg1, arg2)
EndProcedure

Procedure.l luaL_callmeta(arg1.l, arg2.l, arg3.s)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_callmeta", arg1, arg2, arg3)
EndProcedure

Procedure.l luaL_checkany(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_checkany", arg1, arg2)
EndProcedure

Procedure.l luaL_checklstring(arg1.l, arg2.l, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_checklstring", arg1, arg2, arg3)
EndProcedure

Procedure.l luaL_checknumber(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_checknumber", arg1, arg2)
EndProcedure

Procedure.l luaL_checkstack(arg1.l, arg2.l, arg3.s)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_checkstack", arg1, arg2, arg3)
EndProcedure

Procedure.l luaL_checktype(arg1.l, arg2.l, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_checktype", arg1, arg2, arg3)
EndProcedure

Procedure.l luaL_checkudata(arg1.l, arg2.l, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_checkudata", arg1, arg2, arg3)
EndProcedure

Procedure.l luaL_error(arg1.l, arg2.s, arg3.s)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_error", arg1, arg2, arg3)
EndProcedure

Procedure.l luaL_findstring(arg1.s, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_findstring", arg1, arg2)
EndProcedure

Procedure.l luaL_getmetafield(arg1.l, arg2.l, arg3.s)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_getmetafield", arg1, arg2, arg3)
EndProcedure

Procedure.l luaL_getmetatable(arg1.l, arg2.s)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_getmetatable", arg1, arg2)
EndProcedure

Procedure.l luaL_getn(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_getn", arg1, arg2)
EndProcedure

Procedure.l luaL_loadbuffer(arg1.l, arg2.l, arg3.l, arg4.s)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_loadbuffer", arg1, arg2, arg3, arg4)
EndProcedure

Procedure.l luaL_loadfile(arg1.l, arg2.s)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_loadfile", arg1, arg2)
EndProcedure

Procedure.l luaL_newmetatable(arg1.l, arg2.s)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_newmetatable", arg1, arg2)
EndProcedure

Procedure.l luaL_openlib(arg1.l, arg2.s, arg3.l, arg4.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_openlib", arg1, arg2, arg3, arg4)
EndProcedure

Procedure.l luaL_optlstring(arg1.l, arg2.l, arg3.s)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_optlstring", arg1, arg2, arg3)
EndProcedure

Procedure.l luaL_optnumber(arg1.l, arg2.l, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_optnumber", arg1, arg2, arg3)
EndProcedure

Procedure.l luaL_prepbuffer(arg1.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_prepbuffer", arg1)
EndProcedure

Procedure.l luaL_pushresult(arg1.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_pushresult", arg1)
EndProcedure

Procedure.l luaL_ref(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_ref", arg1, arg2)
EndProcedure

Procedure.l luaL_setn(arg1.l, arg2.l, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_setn", arg1, arg2, arg3)
EndProcedure

Procedure.l luaL_typerror(arg1.l, arg2.l, arg3.s)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_typerror", arg1, arg2, arg3)
EndProcedure

Procedure.l luaL_unref(arg1.l, arg2.l, arg3.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_unref", arg1, arg2, arg3)
EndProcedure

Procedure.l luaL_where(arg1.l, arg2.l)
  ProcedureReturn CallCFunction(#DLL_lua, "luaL_where", arg1, arg2)
EndProcedure

; ExecutableFormat=
; EOF