Declare average(l)
Declare lua_register(l, n$, f)

l = lua_open()
lua_baselibopen(l)
lua_iolibopen(l)


OpenConsole()
  PrintN("PureBasic: Registering function 'average' to LUA...")
  lua_register(l, "average", @average())
  PrintN("PureBasic: Execute LUA file 'average.lua'...")
CloseConsole()

  lua_dofile(l, "average.lua")

OpenConsole()
  PrintN("PureBasic: Got back the value #1 (sum of arguments) from LUA    : " + StrF(lua_tonumber(l, lua_gettop(l)))) ; first result sum
  PrintN("PureBasic: Got back the value #2 (average of arguments) from LUA: " + StrF(lua_tonumber(l, lua_gettop(l)-1))) ; second result average
  Delay(10000)
CloseConsole()

lua_close(l)

Procedure average(l)
  n = lua_gettop(l)
  sum.f = 0.0
  
  For i = 1 To i <= n
    If lua_isnumber(l, i) = 0
      lua_pushstring(l, "PureBasic: Incorrect argument to function 'average'")
      lua_error(l)
    EndIf
    sum = sum + lua_tonumber(l, i)
  Next i
  Debug sum/n
  Debug sum
  lua_pushnumber(l, sum/n)  ; first result average
  lua_pushnumber(l, sum)    ; second result sum
  ProcedureReturn 2         ; number of results
EndProcedure

Procedure lua_register(l, n$, f)
  lua_pushstring(l, n$)
  lua_pushcclosure(l, f, 0)
  lua_settable(l, #LUA_GLOBALSINDEX)
EndProcedure
; ExecutableFormat=Console
; CursorPosition=36
; FirstLine=23
; Executable=C:\Dokumente und Einstellungen\fschaefer.SCHAEFER\Desktop\luabuild-5.0\Lua5\pblua\test\average_example.exe
; EOF