Global width, height ;global variables

Procedure lua_getglobal(L, s$)
  lua_pushstring(L, s$)
  lua_gettable(L, #LUA_GLOBALSINDEX)
EndProcedure

Procedure LoadConfig(FileName$)
  L = lua_open()
  lua_baselibopen(L)
  lua_iolibopen(L)
  lua_strlibopen(L)
  lua_mathlibopen(L)

  If (lua_dofile(L, FileName$) <> 0)
    MessageRequester("Error","Cannot run configuration file!")
    End
  Else
    lua_getglobal(L, "width")
    lua_getglobal(L, "height")

    If (lua_isnumber(L, -2) = 0) Or (lua_isnumber(L, -1) = 0)
      MessageRequester("Error","Invalid configuration file!")
      End
    Else 
      width   = lua_tonumber(L, -2)
      height  = lua_tonumber(L, -1)
    EndIf
    
    lua_close(L)
  EndIf
EndProcedure

LoadConfig("config_simple.lua")

OpenWindow(0, 100, 200, width, height, #PB_Window_SystemMenu , "Lua config_simple Example") 
  Repeat 
    EventID.l = WaitWindowEvent() 
  Until EventID = #PB_Event_CloseWindow
End
; ExecutableFormat=Windows
; CursorPosition=26
; FirstLine=1
; Executable=C:\Dokumente und Einstellungen\FloHimself\Desktop\background\config_simple.exe
; EOF